org.eclipse.e4.ui.model.application.ui.basic

## Interface MWindowElement

All Superinterfaces:
  MApplicationElement, MLocalizable, MUIElement

All Known Subinterfaces:
  MArea, MCompositePart, MInputPart, MPart, MPartSashContainer, MPartStack, MPerspectiveStack

    public interface MWindowElement
    extends MUIElement

A representation of the model object 'Window Element'.

A class to be mixed in to any element that should be allowed to be added to a Window.

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MUIElement

`getAccessibilityPhrase, getContainerData, getCurSharedRef, getLocalizedAccessibilityPhrase, getParent, getRenderer, getVisibleWhen, getWidget, isOnTop, isToBeRendered, isVisible, setAccessibilityPhrase, setContainerData, setCurSharedRef, setOnTop, setParent, setRenderer, setToBeRendered, setVisible, setVisibleWhen, setWidget`

### Methods inherited from interface org.eclipse.e4.ui.model.application.MApplicationElement

`getContributorURI, getElementId, getPersistedState, getTags, getTransientData, setContributorURI, setElementId`

### Methods inherited from interface org.eclipse.e4.ui.model.application.ui.MLocalizable

`updateLocalization`